{"openapi":"3.1.0","info":{"title":"Mybring Tracking APIs","description":"The Mybring Tracking APIs enable users to do the following:\n<ul>\n    <li>Get tracking data from tracking url 🔑 / 🍪</li>\n</ul>\n<p>🍪 = Uses Mybring session cookie Authentication, 🔑 = Uses Mybring API key Authentication.</p>\n","version":"2"},"servers":[{"url":"https://api.bring.com/tracking","description":"Prod - Tracking"}],"paths":{"/api/{version}/tracking.{extension}":{"get":{"tags":["Open/Mybring tracking API"],"summary":"Get information about a shipment","description":"Get information about an existing shipment based on a tracking number, shipment number or reference.","operationId":"trackingByVersion","parameters":[{"name":"X-MyBring-API-Uid","in":"header","description":"Mybring login ID","schema":{"type":"string","example":"john.doe@example.com"}},{"name":"X-MyBring-API-Key","in":"header","description":"Your user's API key","schema":{"type":"string","example":"1234abc-abcd-1234-5678-abcd1234abcd"}},{"name":"X-Bring-Client-URL","in":"header","description":"A URL identifying where you're using the APIs","schema":{"type":"string","example":"https://example.com/"}},{"name":"q","in":"query","description":"A query parameter where you enter the tracking number or reference string to be fetched. Note that our examples here differ from the norm by being all characters, usually a Posten/Bring generated tracking number is all digits.","required":false,"schema":{"type":"string"},"examples":{"Unreceived package, with notification regarding EDI":{"description":"Unreceived package, with notification regarding EDI","value":"TESTPACKAGEEDI"},"Waiting at Pickup Point":{"description":"Waiting at Pickup Point","value":"TESTPACKAGEATPICKUPPOINT"},"Package loaded for delivery":{"description":"Package loaded for delivery","value":"TESTPACKAGELOADEDFORDELIVERY"},"Package delivered to customer":{"description":"Package delivered to customer","value":"TESTPACKAGEDELIVERED"}}},{"name":"callback","in":"query","description":"If provided, wraps the response in a JSONP object with the provided callback name","required":false,"schema":{"type":"string","default":""},"example":"callback"},{"name":"version","in":"path","required":true,"schema":{"type":"string"}},{"name":"extraInfo","in":"query","required":false,"schema":{"type":"string","default":"false"}},{"name":"api-version","in":"header","required":false,"schema":{"type":"string","default":""}},{"name":"extension","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConsignmentSet","title":"ConsignmentSetType"},"examples":{"Successful":{"$ref":"#/components/examples/successful_json"}," Package delivered to customer":{"$ref":"#/components/examples/delivered_json"},"Package loaded for delivery":{"$ref":"#/components/examples/loaded_for_delivery_json"},"Waiting at Pickup Point":{"$ref":"#/components/examples/waiting_at_pup_json"}," Unreceived package, with notification regarding EDI":{"$ref":"#/components/examples/notification_received_json"}," Package with expected pickup point details.":{"$ref":"#/components/examples/successfulWithExpectedPupDetails_json"}," Package with estimated time of arrival.":{"$ref":"#/components/examples/successfulWithEta_json"},"Unsuccessful Request":{"$ref":"#/components/examples/unsuccessful_json"},"Bad request":{"$ref":"#/components/examples/bad_request_json"},"Service Unavailable":{"$ref":"#/components/examples/service_unavailable_json"},"Technical Error":{"$ref":"#/components/examples/unspecified_json"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/ConsignmentSet","title":"ConsignmentSetType"},"examples":{"Successful":{"$ref":"#/components/examples/successful_xml"}," Package delivered to customer":{"$ref":"#/components/examples/delivered_xml"},"Package loaded for delivery":{"$ref":"#/components/examples/loaded_for_delivery_xml"},"Waiting at Pickup Point":{"$ref":"#/components/examples/waiting_at_pup_xml"}," Unreceived package, with notification regarding EDI":{"$ref":"#/components/examples/notification_received_xml"}," Package with expected pickup point details.":{"$ref":"#/components/examples/successfulWithExpectedPupDetails_xml"}," Package with estimated time of arrival.":{"$ref":"#/components/examples/successfulWithEta_xml"}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConsignmentSet","title":"ConsignmentSetType"},"examples":{"Unsuccessful Request":{"$ref":"#/components/examples/unsuccessful_json"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/ConsignmentSet","title":"ConsignmentSetType"},"examples":{"Unsuccessful Request":{"$ref":"#/components/examples/unsuccessful_xml"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConsignmentSet","title":"ConsignmentSetType"},"examples":{"Bad request":{"$ref":"#/components/examples/bad_request_json"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/ConsignmentSet","title":"ConsignmentSetType"},"examples":{"Bad request":{"$ref":"#/components/examples/bad_request_xml"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConsignmentSet","title":"ConsignmentSetType"},"examples":{"Technical Error":{"$ref":"#/components/examples/unspecified_json"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/ConsignmentSet","title":"ConsignmentSetType"},"examples":{"Technical Error":{"$ref":"#/components/examples/unspecified_xml"}}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConsignmentSet","title":"ConsignmentSetType"},"examples":{"Service Unavailable":{"$ref":"#/components/examples/service_unavailable_json"}}}}}}}}},"components":{"schemas":{"AdditionalServiceType":{"type":"object","properties":{"id":{"type":"string","xml":{"name":"Id"}},"description":{"type":"string","xml":{"name":"Description"}},"amount":{"type":"string","xml":{"name":"Amount"}},"currencyCode":{"type":"string","xml":{"name":"CurrencyCode"}},"longDescription":{"type":"string","xml":{"name":"LongDescription"}}},"required":["amount","currencyCode","description","id"]},"AddressType":{"type":"object","properties":{"addressLine1":{"type":"string","xml":{"name":"AddressLine1"}},"addressLine2":{"type":"string","xml":{"name":"AddressLine2"}},"postalCode":{"type":"string","xml":{"name":"PostalCode"}},"city":{"type":"string","xml":{"name":"City"}},"countryCode":{"type":"string","xml":{"name":"CountryCode"}},"country":{"type":"string","xml":{"name":"Country"}},"recipientId":{"type":"string","xml":{"name":"RecipientId"}}},"required":["addressLine1","addressLine2","city","country","countryCode","postalCode"]},"ConsignmentElementType":{"description":"Base class for consignment and error","oneOf":[{"$ref":"#/components/schemas/PackageCargoConsignmentType"},{"$ref":"#/components/schemas/TraceStatusType"}]},"ConsignmentSet":{"type":"object","properties":{"apiVersion":{"type":"string","xml":{"name":"ApiVersion"}},"consignmentSet":{"type":"array","items":{"$ref":"#/components/schemas/ConsignmentElementType"},"oneOf":[{"$ref":"#/components/schemas/PackageCargoConsignmentType"},{"$ref":"#/components/schemas/TraceStatusType"}],"xml":{"name":"Consignment"}}},"required":["apiVersion"],"xml":{"name":"ConsignmentSet","namespace":"http://www.bring.no/sporing/2.0"}},"DescriptionType":{"type":"object","properties":{"text":{"type":"string","xml":{"name":"Text"}},"type":{"type":"string","xml":{"name":"Type"}},"url":{"type":"string","format":"url","xml":{"name":"Url"}}}},"EstimatedDeliveryTimeSpan":{"type":"object","properties":{"startTime":{"type":"string"},"endTime":{"type":"string"}}},"EventType":{"type":"object","properties":{"description":{"type":"string","xml":{"name":"Description"}},"status":{"type":"string","xml":{"name":"Status"}},"lmEventCode":{"type":"string","xml":{"name":"LmEventCode"}},"lmCauseCode":{"type":"string"},"lmMeasureCode":{"type":"string"},"recipientSignature":{"$ref":"#/components/schemas/RecipientSignatureType","xml":{"name":"RecipientSignature"}},"images":{"type":"array","items":{"type":"string","xml":{"name":"images"}}},"unitId":{"type":"string","xml":{"name":"UnitId"}},"unitInformationUrl":{"type":"string","xml":{"name":"UnitInformationUrl"}},"unitType":{"type":"string","xml":{"name":"UnitType"}},"postalCode":{"type":"string","xml":{"name":"PostalCode"}},"city":{"type":"string","xml":{"name":"City"}},"countryCode":{"type":"string","xml":{"name":"CountryCode"}},"country":{"type":"string","xml":{"name":"Country"}},"dateIso":{"type":"string"},"displayDate":{"type":"string","xml":{"name":"OccuredAtDisplayDate"}},"displayTime":{"type":"string"},"consignmentEvent":{"type":"boolean","xml":{"name":"ConsignmentEvent"}},"insignificant":{"type":"boolean","xml":{"name":"Insignificant"}},"gpsXCoordinate":{"type":"string","xml":{"name":"GpsXCoordinate"}},"gpsYCoordinate":{"type":"string","xml":{"name":"GpsYCoordinate"}},"gpsMapUrl":{"type":"string","xml":{"name":"GpsMapUrl"}}},"required":["city","country","countryCode","description","displayDate","images","postalCode","recipientSignature","status","unitId","unitType"],"xml":{"name":"Event","namespace":"http://www.bring.no/sporing/2.0"}},"JsonWrapper":{"type":"object","properties":{"system":{"type":"string"},"code":{"type":"integer","format":"int32"},"message":{"type":"string"}}},"PackageCargoConsignmentType":{"type":"object","description":"Represents detailed consignment information.","properties":{"consignmentId":{"type":"string","xml":{"attribute":true}},"previousConsignmentId":{"type":"string","xml":{"attribute":true}},"preReturnConsignmentNumber":{"type":"string","xml":{"attribute":true}},"packageSet":{"type":"array","items":{"$ref":"#/components/schemas/PackageType"},"xml":{"name":"PackageSet","wrapped":true}},"recipientName":{"type":"string","xml":{"name":"RecipientName"}},"recipientAddress":{"$ref":"#/components/schemas/AddressType","xml":{"name":"RecipientAddress"}},"recipientHandlingAddress":{"$ref":"#/components/schemas/AddressType","xml":{"name":"RecipientHandlingAddress"}},"senderReference":{"type":"string","xml":{"name":"SenderReference"}},"senderCustomerNumber":{"type":"string","xml":{"name":"SenderCustomerNumber"}},"senderCustomerMasterNumber":{"type":"string","xml":{"name":"SenderCustomerMasterNumber"}},"senderName":{"type":"string","xml":{"name":"SenderName"}},"senderAddress":{"$ref":"#/components/schemas/AddressType","xml":{"name":"SenderAddress"}},"senderHandlingAddress":{"$ref":"#/components/schemas/AddressType","xml":{"name":"SenderHandlingAddress"}},"senderCustomerType":{"type":"string","xml":{"name":"SenderCustomerType"}},"thirdPartyCustomerName":{"type":"string","xml":{"name":"ThirdPartyCustomerName"}},"thirdPartyCustomerNumber":{"type":"string","xml":{"name":"ThirdPartyCustomerNumber"}},"thirdPartyCustomerAddress":{"$ref":"#/components/schemas/AddressType","xml":{"name":"ThirdPartyCustomerAddress"}},"recipientCustomerNumber":{"type":"string","xml":{"name":"RecipientCustomerNumber"}},"recipientCustomerMasterNumber":{"type":"string","xml":{"name":"RecipientCustomerMasterNumber"}},"recipientCustomerType":{"type":"string","xml":{"name":"RecipientCustomerType"}},"totalListPrice":{"type":"string","xml":{"name":"TotalListPrice"}},"totalContractPrice":{"type":"string","xml":{"name":"TotalContractPrice"}},"listPricePackageCount":{"type":"string"},"contractPricePackageCount":{"type":"string"},"currencyCode":{"type":"string","xml":{"name":"CurrencyCode"}},"senderLogo":{"type":"string","xml":{"name":"SenderLogo"}},"isLoggedInSenderOrReceiver":{"type":"boolean"},"deliveryInstructions":{"type":"string"},"totalWeightInKgs":{"type":"number","format":"double","xml":{"name":"TotalWeight"}},"totalVolumeInDm3":{"type":"number","format":"double","xml":{"name":"TotalVolume"}},"isPickupNoticeAvailable":{"type":"boolean","xml":{"name":"IsPickupNoticeAvailable"}},"numberOfConsignmentItems":{"type":"integer","format":"int32","xml":{"name":"NumberOfConsignmentItems"}}},"required":["totalVolumeInDm3","totalWeightInKgs"]},"PackageType":{"type":"object","properties":{"statusDescription":{"type":"string","xml":{"name":"StatusDescription"}},"descriptions":{"type":"array","items":{"$ref":"#/components/schemas/DescriptionType"},"xml":{"name":"Descriptions","wrapped":true}},"packageNumber":{"type":"string","xml":{"attribute":true}},"previousPackageNumber":{"type":"string","xml":{"attribute":true}},"productName":{"type":"string","xml":{"name":"ProductName"}},"productCode":{"type":"string","xml":{"name":"ProductCode"}},"productLink":{"type":"string","xml":{"name":"ProductLink"}},"brand":{"type":"string","xml":{"name":"Brand"}},"lengthInCm":{"type":"integer","format":"int32","xml":{"name":"Length"}},"widthInCm":{"type":"integer","format":"int32","xml":{"name":"Width"}},"heightInCm":{"type":"integer","format":"int32","xml":{"name":"Height"}},"volumeInDm3":{"type":"number","format":"double","xml":{"name":"Volume"}},"weightInKgs":{"type":"number","format":"double","xml":{"name":"Weight"}},"listPrice":{"type":"string","xml":{"name":"ListPrice"}},"contractPrice":{"type":"string","xml":{"name":"ContractPrice"}},"currencyCode":{"type":"string","xml":{"name":"CurrencyCode"}},"pickupCode":{"type":"string","xml":{"name":"PickupCode"}},"shelfNumber":{"type":"string","xml":{"name":"ShelfNumber"}},"dateOfReturn":{"type":"string","xml":{"name":"LastRetrievalDate"}},"dateOfEstimatedDelivery":{"type":"string","xml":{"name":"EstimatedDeliveryDate"}},"estimatedTimeSpanOfDelivery":{"$ref":"#/components/schemas/EstimatedDeliveryTimeSpan","xml":{"name":"EstimatedTimeSpanOfDelivery"}},"alternateEstimatedDates":{"type":"array","items":{"type":"string","xml":{"name":"AlternateEstimatedDates"}},"xml":{"name":"AlternateEstimatedDates"}},"etaType":{"type":"string","xml":{"name":"EtaType"}},"etaMissingReason":{"type":"string","xml":{"name":"EtaMissingReason"}},"senderName":{"type":"string","xml":{"name":"SenderName"}},"senderAddress":{"$ref":"#/components/schemas/AddressType","xml":{"name":"SenderAddress"}},"senderHandlingAddress":{"$ref":"#/components/schemas/AddressType","xml":{"name":"SenderHandlingAddress"}},"senderMobileNumber":{"type":"string","xml":{"name":"SenderMobileNumber"}},"senderEmailAddress":{"type":"string","xml":{"name":"SenderEmailAddress"}},"recipientName":{"type":"string","xml":{"name":"RecipientName"}},"recipientAddress":{"$ref":"#/components/schemas/AddressType","xml":{"name":"RecipientAddress"}},"recipientHandlingAddress":{"$ref":"#/components/schemas/AddressType","xml":{"name":"RecipientHandlingAddress"}},"recipientMobileNumber":{"type":"string","xml":{"name":"RecipientMobileNumber"}},"recipientEmailAddress":{"type":"string","xml":{"name":"RecipientEmailAddress"}},"eventSet":{"type":"array","items":{"$ref":"#/components/schemas/EventType"},"xml":{"name":"EventSet","wrapped":true}},"additionalServiceSet":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalServiceType"},"xml":{"name":"AdditionalServicesSet","wrapped":true}},"requestedPackage":{"$ref":"#/components/schemas/RequestedPackageType","xml":{"name":"RequestedPackage"}},"thirdPartyMobileNumber":{"type":"string","xml":{"name":"ThirdPartyMobileNumber"}},"expectedPickupUnitId":{"type":"string"},"expectedPickupUnitName":{"type":"string"},"expectedPickupUnitURL":{"type":"string"},"originalPickupUnitId":{"type":"string"},"labelFreeCode":{"type":"string","xml":{"name":"LabelFreeCode"}},"isLoggedInSenderOrReceiver":{"type":"boolean"},"sourceSystemCode":{"type":"string","xml":{"name":"SourceSystemCode"}}},"required":["brand","heightInCm","lengthInCm","productCode","productName","statusDescription","volumeInDm3","weightInKgs","widthInCm"],"xml":{"name":"PackageType","namespace":"http://www.bring.no/sporing/2.0"}},"RecipientSignatureType":{"type":"object","properties":{"name":{"type":"string","xml":{"name":"Name"}},"linkToImage":{"type":"string","xml":{"name":"LinkToImage"}}},"required":["name"]},"RequestedPackageType":{"type":"object","properties":{"userEmail":{"type":"string","xml":{"name":"UserEmail"}},"requestedPackageOn":{"type":"string","xml":{"name":"RequestedPackageOn"}},"caseId":{"type":"string"},"hasBeenRequested":{"type":"boolean"}},"required":["caseId","hasBeenRequested","requestedPackageOn","userEmail"]},"TraceStatusType":{"type":"object","description":"Represents an error status","properties":{"error":{"$ref":"#/components/schemas/JsonWrapper"}}}},"examples":{"unspecified_json":{"value":{"apiVersion":"2","consignmentSet":[{"error":{"system":"ExternalErrorPakker","code":500,"message":"Error getting track & trace information"}}]}},"successful_json":{"value":{"apiVersion":"2","consignmentSet":[{"consignmentId":"7TESTPACKAGEATPICKUPPOINT","previousConsignmentId":"","packageSet":[{"statusDescription":"Package can be collected at PickupPoint. Opening hours: Mon - Sat: 0700-2300\n                ","descriptions":[],"packageNumber":"TESTPACKAGEATPICKUPPOINT","previousPackageNumber":"","productName":"Pick-up parcel","productCode":"5800","productLink":"http://www.bring.no/english/shortcuts/5800","brand":"POSTEN","lengthInCm":45,"widthInCm":32,"heightInCm":15,"volumeInDm3":21.6,"weightInKgs":1.3,"pickupCode":"QU95","shelfNumber":"H 001002","dateOfReturn":"19.08.2021","senderName":"Mr. Sender","senderAddress":{"addressLine1":"Sender Pickup AddressLine 1","addressLine2":"Sender Pickup AddressLine 2","postalCode":"9999","city":"City","countryCode":"NO","country":"Norway","recipientId":""},"recipientName":"Ms. Recipient","recipientAddress":{"addressLine1":"Recipient AddressLine 1","addressLine2":"Recipient AddressLine 2","postalCode":"0000","city":"City","countryCode":"NO","country":"Norway","recipientId":""},"recipientHandlingAddress":{"addressLine1":"Delivery Addressline 1","addressLine2":"Delivery Addressline 1","postalCode":"0000","city":"City","countryCode":"NO","country":"Norway","recipientId":""},"recipientEmailAddress":"test@test.no","eventSet":[{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"032451","unitType":"BRING","postalCode":"","city":"","countryCode":"","country":"","displayTime":"","consignmentEvent":false,"insignificant":true,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"032451","unitType":"BRING","postalCode":"","city":"","countryCode":"","country":"","displayTime":"","consignmentEvent":false,"insignificant":true,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"032451","unitType":"BRING","postalCode":"","city":"","countryCode":"","country":"","displayTime":"","consignmentEvent":false,"insignificant":true,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"127466","unitInformationUrl":"https://api.qa.bring.com/pickuppoint/api/pickuppoint/NO/id/127466.xml\n                        ","unitType":"BRING","postalCode":"9616","city":"OSLO","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"107499","unitType":"BRING","postalCode":"9515","city":"OSLO","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"101658","unitType":"BRING","postalCode":"9515","city":"OSLO","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"032942","unitType":"BRING","postalCode":"0024","city":"OSLO","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"032850","unitType":"BRING","postalCode":"0024","city":"OSLO","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"904030","unitType":"BRING","postalCode":"","city":"","countryCode":"","country":"","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""}],"additionalServiceSet":[{"id":"1036","description":"Optional PickUp Point","amount":"","currencyCode":"","longDescription":"The shipment will be delivered to requested PickUp Point"}],"thirdPartyMobileNumber":"","expectedPickupUnitId":"","expectedPickupUnitName":"","expectedPickupUnitURL":"","isLoggedInSenderOrReceiver":false,"sourceSystemCode":"Shelf"}],"recipientName":"Ms. Recipient","recipientAddress":{"addressLine1":"Recipient AddressLine 1","addressLine2":"Recipient AddressLine 2","postalCode":"0000","city":"City","countryCode":"NO","country":"Norway","recipientId":""},"recipientHandlingAddress":{"addressLine1":"Delivery Addressline 1","addressLine2":"Delivery Addressline 1","postalCode":"0000","city":"City","countryCode":"NO","country":"Norway","recipientId":""},"senderReference":"TestReference","senderCustomerNumber":"XXXXXXXXXXX","senderCustomerMasterNumber":"XXXXXXXXXXX","senderName":"Mr. Sender","senderAddress":{"addressLine1":"Sender Pickup AddressLine 1","addressLine2":"Sender Pickup AddressLine 2","postalCode":"9999","city":"City","countryCode":"NO","country":"Norway","recipientId":""},"senderCustomerType":"BLNOCMP","recipientCustomerNumber":"","recipientCustomerMasterNumber":"","recipientCustomerType":"","senderLogo":"","isLoggedInSenderOrReceiver":false,"totalWeightInKgs":1.3,"totalVolumeInDm3":21.6,"isPickupNoticeAvailable":true,"numberOfConsignmentItems":1}]}},"unspecified_xml":{"description":"Example of Unspecified Error Response","value":"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<ConsignmentSet xmlns=\"http://www.bring.no/sporing/2.0\">\n    <ApiVersion>2</ApiVersion>\n    <Consignment xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"TraceStatusType\">\n        <System>ExternalErrorPakker</System>\n        <Code>500</Code>\n        <Error>Error getting track &amp; trace information</Error>\n    </Consignment>\n</ConsignmentSet>\n"},"successfulWithEta_xml":{"value":"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<ConsignmentSet xmlns=\"http://www.bring.no/sporing/2.0\">\n  <ApiVersion>2</ApiVersion>\n  <Consignment xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"packageCargoConsignmentType\" consignmentId=\"SHIPMENTNUMBER\" previousConsignmentId=\"\">\n    <TotalWeight unitCode=\"kg\">0.3</TotalWeight>\n    <TotalVolume unitCode=\"dm3\">6.3</TotalVolume>\n    <SenderReference/>\n    <SenderCustomerNumber/>\n    <SenderCustomerMasterNumber/>\n    <SenderName>POSTEN NORGE</SenderName>\n    <SenderAddress>\n      <AddressLine1/>\n      <AddressLine2/>\n      <PostalCode/>\n      <City/>\n      <CountryCode>NO</CountryCode>\n      <Country>Norway</Country>\n      <RecipientId/>\n    </SenderAddress>\n    <SenderCustomerType/>\n    <SenderLogo/>\n    <RecipientCustomerNumber/>\n    <RecipientCustomerMasterNumber/>\n    <RecipientCustomerType/>\n    <RecipientName>POSTEN NORGE AS</RecipientName>\n    <RecipientAddress>\n      <AddressLine1/>\n      <AddressLine2/>\n      <PostalCode/>\n      <City/>\n      <CountryCode>NO</CountryCode>\n      <Country>Norway</Country>\n      <RecipientId/>\n    </RecipientAddress>\n    <RecipientHandlingAddress>\n      <AddressLine1/>\n      <AddressLine2/>\n      <PostalCode/>\n      <City/>\n      <CountryCode>NO</CountryCode>\n      <Country>Norway</Country>\n      <RecipientId/>\n    </RecipientHandlingAddress>\n    <PackageSet>\n      <Package packageId=\"TESTPARCELWITHETA\" previousPackageId=\"\">\n        <StatusDescription/>\n        <Descriptions/>\n        <ProductName>Business parcel</ProductName>\n        <ProductCode>5000</ProductCode>\n        <ProductLink>http://www.bring.no/english/shortcuts/5000</ProductLink>\n        <Brand>UNDEFINED</Brand>\n        <Weight unitCode=\"kg\">0.3</Weight>\n        <Length unitCode=\"cm\">22</Length>\n        <Width unitCode=\"cm\">18</Width>\n        <Height unitCode=\"cm\">16</Height>\n        <Volume unitCode=\"dm3\">6.3</Volume>\n        <EstimatedDeliveryDate>20.04.2021</EstimatedDeliveryDate>\n        <EstimatedTimeSpanOfDelivery>\n          <startTime>08:00</startTime>\n          <endTime>16:00</endTime>\n        </EstimatedTimeSpanOfDelivery>\n        <SenderName>POSTEN NORGE AS</SenderName>\n        <SenderAddress>\n          <AddressLine1/>\n          <AddressLine2/>\n          <PostalCode/>\n          <City/>\n          <CountryCode>NO</CountryCode>\n          <Country>Norway</Country>\n          <RecipientId/>\n        </SenderAddress>\n        <RecipientName>MADE FOR MOVEMENT GROUP AS</RecipientName>\n        <RecipientAddress>\n          <AddressLine1/>\n          <AddressLine2/>\n          <PostalCode/>\n          <City/>\n          <CountryCode>NO</CountryCode>\n          <Country>Norway</Country>\n          <RecipientId/>\n        </RecipientAddress>\n        <RecipientHandlingAddress>\n          <AddressLine1/>\n          <AddressLine2/>\n          <PostalCode/>\n          <City/>\n          <CountryCode>NO</CountryCode>\n          <Country>Norway</Country>\n          <RecipientId/>\n        </RecipientHandlingAddress>\n        <RecipientEmailAddress/>\n        <EventSet>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>The shipment has been loaded for delivery.</Description>\n            <Status>TRANSPORT_TO_RECIPIENT</Status>\n            <LmEventCode>3</LmEventCode>\n            <lmCauseCode/>\n            <lmMeasureCode/>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>318704</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode>3702</PostalCode>\n            <City>SKIEN</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <OccuredAtIsoDateTime>2021-04-19T09:56:58.000+02:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>19.04.2021</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>09.56</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n            <GpsXCoordinate/>\n            <GpsYCoordinate/>\n            <GpsMapUrl/>\n          </Event>\n        </EventSet>\n        <AdditionalServicesSet/>\n      </Package>\n    </PackageSet>\n    <IsPickupNoticeAvailable>false</IsPickupNoticeAvailable>\n  </Consignment>\n</ConsignmentSet>\n"},"successfulWithExpectedPupDetails_xml":{"value":"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<ConsignmentSet xmlns=\"http://www.bring.no/sporing/2.0\">\n  <ApiVersion>2</ApiVersion>\n  <Consignment xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"packageCargoConsignmentType\" consignmentId=\"SHIPMENTNUMBER\" previousConsignmentId=\"\">\n    <TotalWeight unitCode=\"kg\">0.8</TotalWeight>\n    <TotalVolume unitCode=\"dm3\">10.2</TotalVolume>\n    <SenderReference/>\n    <SenderCustomerNumber/>\n    <SenderCustomerMasterNumber/>\n    <SenderName>POSTEN NORGE AS</SenderName>\n    <SenderAddress>\n      <AddressLine1/>\n      <AddressLine2/>\n      <PostalCode>7038</PostalCode>\n      <City/>\n      <CountryCode/>\n      <Country/>\n      <RecipientId/>\n    </SenderAddress>\n    <SenderCustomerType/>\n    <SenderLogo/>\n    <RecipientCustomerNumber/>\n    <RecipientCustomerMasterNumber/>\n    <RecipientCustomerType/>\n    <RecipientAddress>\n      <AddressLine1/>\n      <AddressLine2/>\n      <PostalCode>2870</PostalCode>\n      <City>DOKKA</City>\n      <CountryCode>NO</CountryCode>\n      <Country>Norway</Country>\n      <RecipientId/>\n    </RecipientAddress>\n    <RecipientHandlingAddress>\n      <AddressLine1/>\n      <AddressLine2/>\n      <PostalCode>2870</PostalCode>\n      <City>DOKKA</City>\n      <CountryCode>NO</CountryCode>\n      <Country>Norway</Country>\n      <RecipientId/>\n    </RecipientHandlingAddress>\n    <PackageSet>\n      <Package packageId=\"TESTPARCELWITHEXPUP\" previousPackageId=\"\">\n        <StatusDescription/>\n        <Descriptions/>\n        <ProductName>Pick-up parcel</ProductName>\n        <ProductCode>5800</ProductCode>\n        <ProductLink>http://www.bring.no/english/shortcuts/5800</ProductLink>\n        <Brand>POSTEN</Brand>\n        <Weight unitCode=\"kg\">0.8</Weight>\n        <Length unitCode=\"cm\">31</Length>\n        <Width unitCode=\"cm\">30</Width>\n        <Height unitCode=\"cm\">11</Height>\n        <Volume unitCode=\"dm3\">10.2</Volume>\n        <EstimatedTimeSpanOfDelivery/>\n        <SenderName>POSTEN NORGE AS</SenderName>\n        <SenderAddress>\n          <AddressLine1/>\n          <AddressLine2/>\n          <PostalCode/>\n          <City/>\n          <CountryCode/>\n          <Country/>\n          <RecipientId/>\n        </SenderAddress>\n        <RecipientAddress>\n          <AddressLine1/>\n          <AddressLine2/>\n          <PostalCode>2870</PostalCode>\n          <City>DOKKA</City>\n          <CountryCode>NO</CountryCode>\n          <Country>Norway</Country>\n          <RecipientId/>\n        </RecipientAddress>\n        <RecipientHandlingAddress>\n          <AddressLine1/>\n          <AddressLine2/>\n          <PostalCode>2870</PostalCode>\n          <City>DOKKA</City>\n          <CountryCode>NO</CountryCode>\n          <Country>Norway</Country>\n          <RecipientId/>\n        </RecipientHandlingAddress>\n        <EventSet>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>The shipment has been sorted.</Description>\n            <Status>IN_TRANSIT</Status>\n            <LmEventCode>W</LmEventCode>\n            <lmCauseCode/>\n            <lmMeasureCode/>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>032823</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode>2309</PostalCode>\n            <City>HAMAR</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <OccuredAtIsoDateTime>2021-12-03T21:16:55.000+01:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>03.12.2021</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>21.16</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n            <GpsXCoordinate/>\n            <GpsYCoordinate/>\n            <GpsMapUrl/>\n          </Event>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>Testing</Description>\n            <Status>IN_TRANSIT</Status>\n            <LmEventCode>G</LmEventCode>\n            <lmCauseCode/>\n            <lmMeasureCode/>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>032823</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode>2323</PostalCode>\n            <City>INGEBERG</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <OccuredAtIsoDateTime>2021-12-03T21:11:04.000+01:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>03.12.2021</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>21.11</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n            <GpsXCoordinate/>\n            <GpsYCoordinate/>\n            <GpsMapUrl/>\n          </Event>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>The shipment is in transit.</Description>\n            <Status>IN_TRANSIT</Status>\n            <LmEventCode>KO</LmEventCode>\n            <lmCauseCode/>\n            <lmMeasureCode/>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>101337</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode>7093</PostalCode>\n            <City>TILLER</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <OccuredAtIsoDateTime>2021-12-02T17:42:25.000+01:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>02.12.2021</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>17.42</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n            <GpsXCoordinate/>\n            <GpsYCoordinate/>\n            <GpsMapUrl/>\n          </Event>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>The shipment has been sorted.</Description>\n            <Status>IN_TRANSIT</Status>\n            <LmEventCode>W</LmEventCode>\n            <lmCauseCode/>\n            <lmMeasureCode/>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>032845</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode>7093</PostalCode>\n            <City>TILLER</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <OccuredAtIsoDateTime>2021-12-01T20:38:17.000+01:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>01.12.2021</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>20.38</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n            <GpsXCoordinate/>\n            <GpsYCoordinate/>\n            <GpsMapUrl/>\n          </Event>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>The shipment has been handed in at terminal and forwarded.</Description>\n            <Status>IN_TRANSIT</Status>\n            <LmEventCode>R</LmEventCode>\n            <lmCauseCode/>\n            <lmMeasureCode/>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>032845</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode>7093</PostalCode>\n            <City>TILLER</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <OccuredAtIsoDateTime>2021-12-01T20:03:19.000+01:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>01.12.2021</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>20.03</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n            <GpsXCoordinate/>\n            <GpsYCoordinate/>\n            <GpsMapUrl/>\n          </Event>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>No shipment has been received yet, only notification of the shipment.</Description>\n            <Status>PRE_NOTIFIED</Status>\n            <LmEventCode>T</LmEventCode>\n            <lmCauseCode/>\n            <lmMeasureCode/>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>904030</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode/>\n            <City/>\n            <CountryCode/>\n            <Country/>\n            <OccuredAtIsoDateTime>2021-12-01T17:57:06.000+01:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>01.12.2021</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>17.57</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n            <GpsXCoordinate/>\n            <GpsYCoordinate/>\n            <GpsMapUrl/>\n          </Event>\n        </EventSet>\n        <AdditionalServicesSet>\n          <AdditionalService>\n            <Id>1036</Id>\n            <Description>Optional PickUp Point</Description>\n            <Amount/>\n            <CurrencyCode/>\n            <LongDescription>The shipment will be delivered to requested PickUp Point</LongDescription>\n          </AdditionalService>\n        </AdditionalServicesSet>\n        <ThirdPartyMobileNumber/>\n        <expectedPickupUnitId>122950</expectedPickupUnitId>\n        <expectedPickupUnitName>Spar Dokka</expectedPickupUnitName>\n        <expectedPickupUnitURL>https://www.posten.no/kart?ID=122950</expectedPickupUnitURL>\n      </Package>\n    </PackageSet>\n    <IsPickupNoticeAvailable>false</IsPickupNoticeAvailable>\n  </Consignment>\n</ConsignmentSet>\n"},"waiting_at_pup_xml":{"value":"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<ConsignmentSet xmlns=\"http://www.bring.no/sporing/2.0\">\n  <ApiVersion>2</ApiVersion>\n  <Consignment xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"packageCargoConsignmentType\" consignmentId=\"SHIPMENTNUMBER\" previousConsignmentId=\"\">\n    <TotalWeight unitCode=\"kg\">16.5</TotalWeight>\n    <TotalVolume unitCode=\"dm3\">45.2</TotalVolume>\n    <SenderReference/>\n    <SenderCustomerNumber/>\n    <SenderCustomerMasterNumber/>\n    <SenderName>POSTEN NORGE AS</SenderName>\n    <SenderAddress>\n      <AddressLine1/>\n      <AddressLine2/>\n      <PostalCode/>\n      <City/>\n      <CountryCode/>\n      <Country/>\n      <RecipientId/>\n    </SenderAddress>\n    <SenderCustomerType/>\n    <RecipientCustomerNumber/>\n    <RecipientCustomerMasterNumber/>\n    <RecipientCustomerType/>\n    <RecipientHandlingAddress>\n      <AddressLine1/>\n      <AddressLine2/>\n      <PostalCode>1407</PostalCode>\n      <City>VINTERBRO</City>\n      <CountryCode/>\n      <Country/>\n      <RecipientId/>\n    </RecipientHandlingAddress>\n    <PackageSet>\n      <Package packageId=\"TESTPACKAGEATPICKUPPOINT\" previousPackageId=\"\">\n        <StatusDescription>Package can be collected at pickup point.</StatusDescription>\n        <Descriptions/>\n        <ProductName>CARBON-NEUTRAL SERVICE PARCEL</ProductName>\n        <ProductCode>1202</ProductCode>\n        <ProductLink>http://www.bring.no/english/shortcuts/1202</ProductLink>\n        <Brand>POSTEN</Brand>\n        <Weight unitCode=\"kg\">16.5</Weight>\n        <Length unitCode=\"cm\">41</Length>\n        <Width unitCode=\"cm\">38</Width>\n        <Height unitCode=\"cm\">29</Height>\n        <Volume unitCode=\"dm3\">45.2</Volume>\n        <PickupCode>AA11</PickupCode>\n        <LastRetrievalDate>01.12.2011</LastRetrievalDate>\n        <SenderName>POSTEN NORGE AS</SenderName>\n        <SenderAddress>\n          <AddressLine1/>\n          <AddressLine2/>\n          <PostalCode/>\n          <City/>\n          <CountryCode/>\n          <Country/>\n          <RecipientId/>\n        </SenderAddress>\n        <RecipientHandlingAddress>\n          <AddressLine1/>\n          <AddressLine2/>\n          <PostalCode>1407</PostalCode>\n          <City>VINTERBRO</City>\n          <CountryCode/>\n          <Country/>\n          <RecipientId/>\n        </RecipientHandlingAddress>\n        <EventSet>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>The shipment has arrived at pickup point.</Description>\n            <Status>READY_FOR_PICKUP</Status>\n            <RecipientSignature>\n              <Name/>\n              <LinkToImage/>\n            </RecipientSignature>\n            <UnitId>122608</UnitId>\n            <UnitInformationUrl>https://api.bring.com/pickuppoint/api/pickuppoint/NO/id/122608.xml</UnitInformationUrl>\n            <UnitType>BRING</UnitType>\n            <PostalCode>2341</PostalCode>\n            <City>LØTEN</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <OccuredAtIsoDateTime>2010-10-01T08:30:25.000+02:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>01.10.2010</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>08.30</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n          </Event>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>The shipment has been handed in at terminal and forwarded.</Description>\n            <Status>IN_TRANSIT</Status>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>032850</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode>0024</PostalCode>\n            <City>OSLO</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <OccuredAtIsoDateTime>2010-09-30T08:27:08.000+02:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>30.09.2010</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>08.27</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n          </Event>\n        </EventSet>\n        <AdditionalServicesSet/>\n      </Package>\n    </PackageSet>\n    <IsPickupNoticeAvailable>false</IsPickupNoticeAvailable>\n  </Consignment>\n</ConsignmentSet>\n"},"unsuccessful_json":{"value":{"apiVersion":"2","consignmentSet":[{"error":{"code":404,"message":"No shipments found"}}]}},"service_unavailable_xml":{"description":"Example of Service Unavailable Response","value":"<ConsignmentSet xmlns=\"http://www.bring.no/sporing/2.0\">\n  <ApiVersion>2</ApiVersion>\n  <Consignment xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"TraceStatusType\">\n    <System>TooBusyPakker_TooBusyPakker</System>\n    <Code>503</Code>\n    <Error>Server too busy/ Temporarily blocked due to too many invalid requests</Error>\n  </Consignment>\n</ConsignmentSet>\n"},"service_unavailable_json":{"value":{"apiVersion":"2","consignmentSet":[{"error":{"system":"TooBusyPakker_TooBusyPakker","code":503,"message":"Server too busy/ Temporarily blocked due to too many invalid requests"}}]}},"successfulWithExpectedPupDetails_json":{"value":{"apiVersion":"2","consignmentSet":[{"consignmentId":"SHIPMENTNUMBER","previousConsignmentId":"","packageSet":[{"statusDescription":"","descriptions":[],"packageNumber":"TESTPARCELWITHEXPUP","previousPackageNumber":"","productName":"Pick-up parcel","productCode":"5800","productLink":"http://www.bring.no/english/shortcuts/5800","brand":"POSTEN","lengthInCm":31,"widthInCm":30,"heightInCm":11,"volumeInDm3":10.2,"weightInKgs":0.8,"estimatedTimeSpanOfDelivery":{},"senderName":"POSTEN NORGE AS","senderAddress":{"addressLine1":"","addressLine2":"","postalCode":"","city":"","countryCode":"","country":"","recipientId":""},"recipientAddress":{"addressLine1":"","addressLine2":"","postalCode":"2870","city":"DOKKA","countryCode":"NO","country":"Norway","recipientId":""},"recipientHandlingAddress":{"addressLine1":"","addressLine2":"","postalCode":"2870","city":"DOKKA","countryCode":"NO","country":"Norway","recipientId":""},"eventSet":[{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"032823","unitType":"BRING","postalCode":"2309","city":"HAMAR","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"032823","unitType":"BRING","postalCode":"2323","city":"INGEBERG","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"101337","unitType":"BRING","postalCode":"7093","city":"TILLER","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"032845","unitType":"BRING","postalCode":"7093","city":"TILLER","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"032845","unitType":"BRING","postalCode":"7093","city":"TILLER","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""},{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"904030","unitType":"BRING","postalCode":"","city":"","countryCode":"","country":"","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""}],"additionalServiceSet":[{"id":"1036","description":"Optional PickUp Point","amount":"","currencyCode":"","longDescription":"The shipment will be delivered to requested PickUp Point"}],"thirdPartyMobileNumber":"","expectedPickupUnitId":"122950","expectedPickupUnitName":"Spar Dokka","expectedPickupUnitURL":"https://www.posten.no/kart?ID=122950","isLoggedInSenderOrReceiver":false}],"recipientAddress":{"addressLine1":"","addressLine2":"","postalCode":"2870","city":"DOKKA","countryCode":"NO","country":"Norway","recipientId":""},"recipientHandlingAddress":{"addressLine1":"","addressLine2":"","postalCode":"2870","city":"DOKKA","countryCode":"NO","country":"Norway","recipientId":""},"senderReference":"","senderCustomerNumber":"","senderCustomerMasterNumber":"","senderName":"POSTEN NORGE AS","senderAddress":{"addressLine1":"","addressLine2":"","postalCode":"7038","city":"","countryCode":"","country":"","recipientId":""},"senderCustomerType":"","recipientCustomerNumber":"","recipientCustomerMasterNumber":"","recipientCustomerType":"","senderLogo":"","isLoggedInSenderOrReceiver":false,"totalWeightInKgs":0.8,"totalVolumeInDm3":10.2,"isPickupNoticeAvailable":false}]}},"unsuccessful_xml":{"description":"Example of Data Not found Response","value":"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<ConsignmentSet xmlns=\"http://www.bring.no/sporing/2.0\">\n    <ApiVersion>2</ApiVersion>\n    <Consignment xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"TraceStatusType\">\n        <Code>404</Code>\n        <Error>No shipments found</Error>\n    </Consignment>\n</ConsignmentSet>"},"notification_received_json":{"value":{"apiVersion":"2","consignmentSet":[{"consignmentId":"SHIPMENTNUMBER","previousConsignmentId":"","packageSet":[{"statusDescription":"Norway Post/Bring has received a message from sender that a package is on its way, but has not yet received the package. In case of questions, please contact the sender","descriptions":[],"packageNumber":"TESTPACKAGEEDI","previousPackageNumber":"","productName":"HOME DELIVERY","productCode":"1736","productLink":"http://www.bring.no/english/shortcuts/1736","brand":"POSTEN","lengthInCm":41,"widthInCm":38,"heightInCm":29,"volumeInDm3":45.2,"weightInKgs":16.5,"eventSet":[{"recipientSignature":{"name":""},"unitId":"904030","unitType":"BRING","postalCode":"","city":"","countryCode":"","country":"","displayTime":"","consignmentEvent":false,"insignificant":false}],"additionalServiceSet":[],"isLoggedInSenderOrReceiver":false}],"senderReference":"","senderCustomerNumber":"","senderCustomerMasterNumber":"","senderCustomerType":"","recipientCustomerNumber":"","recipientCustomerMasterNumber":"","recipientCustomerType":"","isLoggedInSenderOrReceiver":false,"totalWeightInKgs":16.5,"totalVolumeInDm3":45.2,"isPickupNoticeAvailable":false}]}},"delivered_xml":{"value":"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<ConsignmentSet xmlns=\"http://www.bring.no/sporing/2.0\">\n  <ApiVersion>2</ApiVersion>\n  <Consignment xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"packageCargoConsignmentType\" consignmentId=\"SHIPMENTNUMBER\" previousConsignmentId=\"\">\n    <TotalWeight unitCode=\"kg\">16.5</TotalWeight>\n    <TotalVolume unitCode=\"dm3\">45.2</TotalVolume>\n    <SenderReference/>\n    <SenderCustomerNumber/>\n    <SenderCustomerMasterNumber/>\n    <SenderCustomerType/>\n    <RecipientCustomerNumber/>\n    <RecipientCustomerMasterNumber/>\n    <RecipientCustomerType/>\n    <PackageSet>\n      <Package packageId=\"TESTPACKAGEDELIVERED\" previousPackageId=\"\">\n        <StatusDescription/>\n        <Descriptions/>\n        <ProductName>HOME DELIVERY</ProductName>\n        <ProductCode>1736</ProductCode>\n        <ProductLink>http://www.bring.no/english/shortcuts/1736</ProductLink>\n        <Brand>POSTEN</Brand>\n        <Weight unitCode=\"kg\">16.5</Weight>\n        <Length unitCode=\"cm\">41</Length>\n        <Width unitCode=\"cm\">38</Width>\n        <Height unitCode=\"cm\">29</Height>\n        <Volume unitCode=\"dm3\">45.2</Volume>\n        <EventSet>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>The shipment has been delivered.</Description>\n            <Status>DELIVERED</Status>\n            <RecipientSignature>\n              <Name>HOME OWNER</Name>\n              <LinkToImage>api/parcel-hub/signature?consignmentItemNumber=TESTPACKAGEDELIVERED&amp;imageName=imageName</LinkToImage>\n            </RecipientSignature>\n            <UnitId>971190</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode/>\n            <City/>\n            <CountryCode/>\n            <Country/>\n            <OccuredAtIsoDateTime>2010-09-30T17:45:25.000+02:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>30.09.2010</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>17.45</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n          </Event>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>The shipment has been loaded for delivery.</Description>\n            <Status>TRANSPORT_TO_RECIPIENT</Status>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>971190</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode>0001</PostalCode>\n            <City>OSLO</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <OccuredAtIsoDateTime>2010-09-30T16:48:57.000+02:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>30.09.2010</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>16.48</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n          </Event>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>The shipment has been handed in at terminal and forwarded.</Description>\n            <Status>IN_TRANSIT</Status>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>032850</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode>0024</PostalCode>\n            <City>OSLO</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <OccuredAtIsoDateTime>2010-09-30T08:27:08.000+02:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>30.09.2010</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>08.27</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n          </Event>\n        </EventSet>\n        <AdditionalServicesSet>\n          <AdditionalService>\n            <Id>1091</Id>\n            <Description>eAdvising</Description>\n            <Amount/>\n            <CurrencyCode/>\n            <LongDescription>Delivery advising will be sent via sms +4700000000 and/or e-mail</LongDescription>\n          </AdditionalService>\n        </AdditionalServicesSet>\n      </Package>\n    </PackageSet>\n    <IsPickupNoticeAvailable>false</IsPickupNoticeAvailable>\n  </Consignment>\n</ConsignmentSet>\n"},"bad_request_json":{"value":{"apiVersion":"2","consignmentSet":[{"error":{"code":400,"message":"Invalid query"}}]}},"notification_received_xml":{"value":"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<ConsignmentSet xmlns=\"http://www.bring.no/sporing/2.0\">\n  <ApiVersion>2</ApiVersion>\n  <Consignment xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"packageCargoConsignmentType\" consignmentId=\"SHIPMENTNUMBER\" previousConsignmentId=\"\">\n    <TotalWeight unitCode=\"kg\">16.5</TotalWeight>\n    <TotalVolume unitCode=\"dm3\">45.2</TotalVolume>\n    <SenderReference/>\n    <SenderCustomerNumber/>\n    <SenderCustomerMasterNumber/>\n    <SenderCustomerType/>\n    <RecipientCustomerNumber/>\n    <RecipientCustomerMasterNumber/>\n    <RecipientCustomerType/>\n    <PackageSet>\n      <Package packageId=\"TESTPACKAGEEDI\" previousPackageId=\"\">\n        <StatusDescription>Norway Post/Bring has received a message from sender that a package is on its way, but has not yet received the package. In case of questions, please contact the sender</StatusDescription>\n        <Descriptions/>\n        <ProductName>HOME DELIVERY</ProductName>\n        <ProductCode>1736</ProductCode>\n        <ProductLink>http://www.bring.no/english/shortcuts/1736</ProductLink>\n        <Brand>POSTEN</Brand>\n        <Weight unitCode=\"kg\">16.5</Weight>\n        <Length unitCode=\"cm\">41</Length>\n        <Width unitCode=\"cm\">38</Width>\n        <Height unitCode=\"cm\">29</Height>\n        <Volume unitCode=\"dm3\">45.2</Volume>\n        <EventSet>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>No shipment has been received yet, only notification of the shipment.</Description>\n            <Status>PRE_NOTIFIED</Status>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>904030</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode/>\n            <City/>\n            <CountryCode/>\n            <Country/>\n            <OccuredAtIsoDateTime>2018-05-24T12:44:12.000+02:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>24.05.2018</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>12.44</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n          </Event>\n        </EventSet>\n        <AdditionalServicesSet/>\n      </Package>\n    </PackageSet>\n    <IsPickupNoticeAvailable>false</IsPickupNoticeAvailable>\n  </Consignment>\n</ConsignmentSet>\n"},"successfulWithEta_json":{"value":{"apiVersion":"2","consignmentSet":[{"consignmentId":"SHIPMENTNUMBER","previousConsignmentId":"","packageSet":[{"statusDescription":"","descriptions":[],"packageNumber":"TESTPARCELWITHETA","previousPackageNumber":"","productName":"Business parcel","productCode":"5000","productLink":"http://www.bring.no/english/shortcuts/5000","brand":"UNDEFINED","lengthInCm":22,"widthInCm":18,"heightInCm":16,"volumeInDm3":6.3,"weightInKgs":0.3,"dateOfEstimatedDelivery":"20.04.2021","estimatedTimeSpanOfDelivery":{"startTime":"08:00","endTime":"16:00"},"senderName":"POSTEN NORGE AS","senderAddress":{"addressLine1":"","addressLine2":"","postalCode":"","city":"","countryCode":"NO","country":"Norway","recipientId":""},"recipientName":"MADE FOR MOVEMENT GROUP AS","recipientAddress":{"addressLine1":"","addressLine2":"","postalCode":"","city":"","countryCode":"NO","country":"Norway","recipientId":""},"recipientHandlingAddress":{"addressLine1":"","addressLine2":"","postalCode":"","city":"","countryCode":"NO","country":"Norway","recipientId":""},"recipientEmailAddress":"","eventSet":[{"lmCauseCode":"","lmMeasureCode":"","recipientSignature":{"name":""},"unitId":"318704","unitType":"BRING","postalCode":"3702","city":"SKIEN","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false,"gpsXCoordinate":"","gpsYCoordinate":"","gpsMapUrl":""}],"additionalServiceSet":[],"isLoggedInSenderOrReceiver":false}],"recipientName":"POSTEN NORGE AS","recipientAddress":{"addressLine1":"","addressLine2":"","postalCode":"","city":"","countryCode":"NO","country":"Norway","recipientId":""},"recipientHandlingAddress":{"addressLine1":"","addressLine2":"","postalCode":"","city":"","countryCode":"NO","country":"Norway","recipientId":""},"senderReference":"","senderCustomerNumber":"","senderCustomerMasterNumber":"","senderName":"POSTEN NORGE","senderAddress":{"addressLine1":"","addressLine2":"","postalCode":"","city":"","countryCode":"NO","country":"Norway","recipientId":""},"senderCustomerType":"","recipientCustomerNumber":"","recipientCustomerMasterNumber":"","recipientCustomerType":"","senderLogo":"","isLoggedInSenderOrReceiver":false,"totalWeightInKgs":0.3,"totalVolumeInDm3":6.3,"isPickupNoticeAvailable":false}]}},"successful_xml":{"value":"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<ConsignmentSet xmlns=\"http://www.bring.no/sporing/2.0\">\n    <ApiVersion>2</ApiVersion>\n    <Consignment xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"packageCargoConsignmentType\"\n                 consignmentId=\"7TESTPACKAGEATPICKUPPOINT\" previousConsignmentId=\"\">\n        <TotalWeight unitCode=\"kg\">1.3</TotalWeight>\n        <TotalVolume unitCode=\"dm3\">21.6</TotalVolume>\n        <SenderReference>TestReference</SenderReference>\n        <SenderCustomerNumber>XXXXXXXXXXX</SenderCustomerNumber>\n        <SenderCustomerMasterNumber>XXXXXXXXXXX</SenderCustomerMasterNumber>\n        <SenderName>Mr. Sender</SenderName>\n        <SenderAddress>\n            <AddressLine1>Sender Pickup AddressLine 1</AddressLine1>\n            <AddressLine2>Sender Pickup AddressLine 2</AddressLine2>\n            <PostalCode>9999</PostalCode>\n            <City>City</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <RecipientId/>\n        </SenderAddress>\n        <SenderCustomerType>BLNOCMP</SenderCustomerType>\n        <SenderLogo/>\n        <RecipientCustomerNumber/>\n        <RecipientCustomerMasterNumber/>\n        <RecipientCustomerType/>\n        <RecipientName>Ms. Recipient</RecipientName>\n        <RecipientAddress>\n            <AddressLine1>Recipient AddressLine 1</AddressLine1>\n            <AddressLine2>Recipient AddressLine 2</AddressLine2>\n            <PostalCode>0000</PostalCode>\n            <City>City</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <RecipientId/>\n        </RecipientAddress>\n        <RecipientHandlingAddress>\n            <AddressLine1>Delivery Addressline 1</AddressLine1>\n            <AddressLine2>Delivery Addressline 1</AddressLine2>\n            <PostalCode>0000</PostalCode>\n            <City>City</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <RecipientId/>\n        </RecipientHandlingAddress>\n        <PackageSet>\n            <Package packageId=\"TESTPACKAGEATPICKUPPOINT\" previousPackageId=\"\">\n                <StatusDescription>Package can be collected at PickupPoint. Opening hours: Mon - Sat: 0700-2300\n                </StatusDescription>\n                <Descriptions/>\n                <ProductName>Pick-up parcel</ProductName>\n                <ProductCode>5800</ProductCode>\n                <ProductLink>http://www.bring.no/english/shortcuts/5800</ProductLink>\n                <Brand>POSTEN</Brand>\n                <Weight unitCode=\"kg\">1.3</Weight>\n                <Length unitCode=\"cm\">45</Length>\n                <Width unitCode=\"cm\">32</Width>\n                <Height unitCode=\"cm\">15</Height>\n                <Volume unitCode=\"dm3\">21.6</Volume>\n                <PickupCode>QU95</PickupCode>\n                <ShelfNumber>H 001002</ShelfNumber>\n                <SourceSystemCode>Shelf</SourceSystemCode>\n                <LastRetrievalDate>19.08.2021</LastRetrievalDate>\n                <SenderName>Mr. Sender</SenderName>\n                <SenderAddress>\n                    <AddressLine1>Sender Pickup AddressLine 1</AddressLine1>\n                    <AddressLine2>Sender Pickup AddressLine 2</AddressLine2>\n                    <PostalCode>9999</PostalCode>\n                    <City>City</City>\n                    <CountryCode>NO</CountryCode>\n                    <Country>Norway</Country>\n                    <RecipientId/>\n                </SenderAddress>\n                <RecipientName>Ms. Recipient</RecipientName>\n                <RecipientAddress>\n                    <AddressLine1>Recipient AddressLine 1</AddressLine1>\n                    <AddressLine2>Recipient AddressLine 2</AddressLine2>\n                    <PostalCode>0000</PostalCode>\n                    <City>City</City>\n                    <CountryCode>NO</CountryCode>\n                    <Country>Norway</Country>\n                    <RecipientId/>\n                </RecipientAddress>\n                <RecipientHandlingAddress>\n                    <AddressLine1>Delivery Addressline 1</AddressLine1>\n                    <AddressLine2>Delivery Addressline 1</AddressLine2>\n                    <PostalCode>0000</PostalCode>\n                    <City>City</City>\n                    <CountryCode>NO</CountryCode>\n                    <Country>Norway</Country>\n                    <RecipientId/>\n                </RecipientHandlingAddress>\n                <RecipientEmailAddress>test@test.no</RecipientEmailAddress>\n                <EventSet>\n                    <Event xsi:type=\"packageCargoEventType\">\n                        <Description>Reminder about package sent to recipient by e-mail to test@test.no</Description>\n                        <Status>NOTIFICATION_SENT</Status>\n                        <LmEventCode>X17</LmEventCode>\n                        <lmCauseCode/>\n                        <lmMeasureCode/>\n                        <RecipientSignature>\n                            <Name/>\n                        </RecipientSignature>\n                        <UnitId>032451</UnitId>\n                        <UnitType>BRING</UnitType>\n                        <PostalCode/>\n                        <City/>\n                        <CountryCode/>\n                        <Country/>\n                        <OccuredAtIsoDateTime>2021-08-10T17:41:34.000+02:00</OccuredAtIsoDateTime>\n                        <OccuredAtDisplayDate>10.08.2021</OccuredAtDisplayDate>\n                        <OccuredAtDisplayTime>17.41</OccuredAtDisplayTime>\n                        <ConsignmentEvent>false</ConsignmentEvent>\n                        <Insignificant>true</Insignificant>\n                        <GpsXCoordinate/>\n                        <GpsYCoordinate/>\n                        <GpsMapUrl/>\n                    </Event>\n                    <Event xsi:type=\"packageCargoEventType\">\n                        <Description>Reminder about package sent to recipient by e-mail to test@test.no</Description>\n                        <Status>NOTIFICATION_SENT</Status>\n                        <LmEventCode>X17</LmEventCode>\n                        <lmCauseCode/>\n                        <lmMeasureCode/>\n                        <RecipientSignature>\n                            <Name/>\n                        </RecipientSignature>\n                        <UnitId>032451</UnitId>\n                        <UnitType>BRING</UnitType>\n                        <PostalCode/>\n                        <City/>\n                        <CountryCode/>\n                        <Country/>\n                        <OccuredAtIsoDateTime>2021-08-07T13:17:52.000+02:00</OccuredAtIsoDateTime>\n                        <OccuredAtDisplayDate>07.08.2021</OccuredAtDisplayDate>\n                        <OccuredAtDisplayTime>13.17</OccuredAtDisplayTime>\n                        <ConsignmentEvent>false</ConsignmentEvent>\n                        <Insignificant>true</Insignificant>\n                        <GpsXCoordinate/>\n                        <GpsYCoordinate/>\n                        <GpsMapUrl/>\n                    </Event>\n                    <Event xsi:type=\"packageCargoEventType\">\n                        <Description>Receipt notification has been sent to recipient by e-mail to test@test.no\n                        </Description>\n                        <Status>NOTIFICATION_SENT</Status>\n                        <LmEventCode>X11</LmEventCode>\n                        <lmCauseCode/>\n                        <lmMeasureCode/>\n                        <RecipientSignature>\n                            <Name/>\n                        </RecipientSignature>\n                        <UnitId>032451</UnitId>\n                        <UnitType>BRING</UnitType>\n                        <PostalCode/>\n                        <City/>\n                        <CountryCode/>\n                        <Country/>\n                        <OccuredAtIsoDateTime>2021-08-05T14:50:16.000+02:00</OccuredAtIsoDateTime>\n                        <OccuredAtDisplayDate>05.08.2021</OccuredAtDisplayDate>\n                        <OccuredAtDisplayTime>14.50</OccuredAtDisplayTime>\n                        <ConsignmentEvent>false</ConsignmentEvent>\n                        <Insignificant>true</Insignificant>\n                        <GpsXCoordinate/>\n                        <GpsYCoordinate/>\n                        <GpsMapUrl/>\n                    </Event>\n                    <Event xsi:type=\"packageCargoEventType\">\n                        <Description>The shipment has arrived at &lt;a target=\"_blank\" title=\"See where you may find\n                            REMA 1000 Hammerfest\"\n                            href=\"https://www.posten.no/kart?ID=127466\"\n                            class=\"sporing-lightbox-postoffice\"&gt;REMA 1000 Hammerfest&lt;/a&gt;.\n                        </Description>\n                        <Status>READY_FOR_PICKUP</Status>\n                        <LmEventCode>Q</LmEventCode>\n                        <lmCauseCode/>\n                        <lmMeasureCode/>\n                        <RecipientSignature>\n                            <Name/>\n                        </RecipientSignature>\n                        <UnitId>127466</UnitId>\n                        <UnitInformationUrl>https://api.qa.bring.com/pickuppoint/api/pickuppoint/NO/id/127466.xml\n                        </UnitInformationUrl>\n                        <UnitType>BRING</UnitType>\n                        <PostalCode>9616</PostalCode>\n                        <City>OSLO</City>\n                        <CountryCode>NO</CountryCode>\n                        <Country>Norway</Country>\n                        <OccuredAtIsoDateTime>2021-08-05T14:39:50.000+02:00</OccuredAtIsoDateTime>\n                        <OccuredAtDisplayDate>05.08.2021</OccuredAtDisplayDate>\n                        <OccuredAtDisplayTime>14.39</OccuredAtDisplayTime>\n                        <ConsignmentEvent>false</ConsignmentEvent>\n                        <Insignificant>false</Insignificant>\n                        <GpsXCoordinate/>\n                        <GpsYCoordinate/>\n                        <GpsMapUrl/>\n                    </Event>\n                    <Event xsi:type=\"packageCargoEventType\">\n                        <Description>The shipment has been sorted and forwarded.</Description>\n                        <Status>IN_TRANSIT</Status>\n                        <LmEventCode>S</LmEventCode>\n                        <lmCauseCode/>\n                        <lmMeasureCode/>\n                        <RecipientSignature>\n                            <Name/>\n                        </RecipientSignature>\n                        <UnitId>107499</UnitId>\n                        <UnitType>BRING</UnitType>\n                        <PostalCode>9515</PostalCode>\n                        <City>OSLO</City>\n                        <CountryCode>NO</CountryCode>\n                        <Country>Norway</Country>\n                        <OccuredAtIsoDateTime>2021-08-05T06:43:19.000+02:00</OccuredAtIsoDateTime>\n                        <OccuredAtDisplayDate>05.08.2021</OccuredAtDisplayDate>\n                        <OccuredAtDisplayTime>06.43</OccuredAtDisplayTime>\n                        <ConsignmentEvent>false</ConsignmentEvent>\n                        <Insignificant>false</Insignificant>\n                        <GpsXCoordinate/>\n                        <GpsYCoordinate/>\n                        <GpsMapUrl/>\n                    </Event>\n                    <Event xsi:type=\"packageCargoEventType\">\n                        <Description>The shipment has arrived at terminal.</Description>\n                        <Status>IN_TRANSIT</Status>\n                        <LmEventCode>LBL</LmEventCode>\n                        <lmCauseCode/>\n                        <lmMeasureCode/>\n                        <RecipientSignature>\n                            <Name/>\n                        </RecipientSignature>\n                        <UnitId>101658</UnitId>\n                        <UnitType>BRING</UnitType>\n                        <PostalCode>9515</PostalCode>\n                        <City>OSLO</City>\n                        <CountryCode>NO</CountryCode>\n                        <Country>Norway</Country>\n                        <OccuredAtIsoDateTime>2021-08-05T06:27:35.000+02:00</OccuredAtIsoDateTime>\n                        <OccuredAtDisplayDate>05.08.2021</OccuredAtDisplayDate>\n                        <OccuredAtDisplayTime>06.27</OccuredAtDisplayTime>\n                        <ConsignmentEvent>false</ConsignmentEvent>\n                        <Insignificant>false</Insignificant>\n                        <GpsXCoordinate/>\n                        <GpsYCoordinate/>\n                        <GpsMapUrl/>\n                    </Event>\n                    <Event xsi:type=\"packageCargoEventType\">\n                        <Description>The shipment is in transit.</Description>\n                        <Status>IN_TRANSIT</Status>\n                        <LmEventCode>WO</LmEventCode>\n                        <lmCauseCode/>\n                        <lmMeasureCode/>\n                        <RecipientSignature>\n                            <Name/>\n                        </RecipientSignature>\n                        <UnitId>032942</UnitId>\n                        <UnitType>BRING</UnitType>\n                        <PostalCode>0024</PostalCode>\n                        <City>OSLO</City>\n                        <CountryCode>NO</CountryCode>\n                        <Country>Norway</Country>\n                        <OccuredAtIsoDateTime>2021-08-03T16:49:33.000+02:00</OccuredAtIsoDateTime>\n                        <OccuredAtDisplayDate>03.08.2021</OccuredAtDisplayDate>\n                        <OccuredAtDisplayTime>16.49</OccuredAtDisplayTime>\n                        <ConsignmentEvent>false</ConsignmentEvent>\n                        <Insignificant>false</Insignificant>\n                        <GpsXCoordinate/>\n                        <GpsYCoordinate/>\n                        <GpsMapUrl/>\n                    </Event>\n                    <Event xsi:type=\"packageCargoEventType\">\n                        <Description>The shipment has been handed in at terminal and forwarded.</Description>\n                        <Status>IN_TRANSIT</Status>\n                        <LmEventCode>R</LmEventCode>\n                        <lmCauseCode/>\n                        <lmMeasureCode/>\n                        <RecipientSignature>\n                            <Name/>\n                        </RecipientSignature>\n                        <UnitId>032850</UnitId>\n                        <UnitType>BRING</UnitType>\n                        <PostalCode>0024</PostalCode>\n                        <City>OSLO</City>\n                        <CountryCode>NO</CountryCode>\n                        <Country>Norway</Country>\n                        <OccuredAtIsoDateTime>2021-08-03T08:11:08.000+02:00</OccuredAtIsoDateTime>\n                        <OccuredAtDisplayDate>03.08.2021</OccuredAtDisplayDate>\n                        <OccuredAtDisplayTime>08.11</OccuredAtDisplayTime>\n                        <ConsignmentEvent>false</ConsignmentEvent>\n                        <Insignificant>false</Insignificant>\n                        <GpsXCoordinate/>\n                        <GpsYCoordinate/>\n                        <GpsMapUrl/>\n                    </Event>\n                    <Event xsi:type=\"packageCargoEventType\">\n                        <Description>No shipment has been received yet, only notification of the shipment.</Description>\n                        <Status>PRE_NOTIFIED</Status>\n                        <LmEventCode>T</LmEventCode>\n                        <lmCauseCode/>\n                        <lmMeasureCode/>\n                        <RecipientSignature>\n                            <Name/>\n                        </RecipientSignature>\n                        <UnitId>904030</UnitId>\n                        <UnitType>BRING</UnitType>\n                        <PostalCode/>\n                        <City/>\n                        <CountryCode/>\n                        <Country/>\n                        <OccuredAtIsoDateTime>2021-07-31T13:00:11.000+02:00</OccuredAtIsoDateTime>\n                        <OccuredAtDisplayDate>31.07.2021</OccuredAtDisplayDate>\n                        <OccuredAtDisplayTime>13.00</OccuredAtDisplayTime>\n                        <ConsignmentEvent>false</ConsignmentEvent>\n                        <Insignificant>false</Insignificant>\n                        <GpsXCoordinate/>\n                        <GpsYCoordinate/>\n                        <GpsMapUrl/>\n                    </Event>\n                </EventSet>\n                <AdditionalServicesSet>\n                    <AdditionalService>\n                        <Id>1036</Id>\n                        <Description>Optional PickUp Point</Description>\n                        <Amount/>\n                        <CurrencyCode/>\n                        <LongDescription>The shipment will be delivered to requested PickUp Point</LongDescription>\n                    </AdditionalService>\n                </AdditionalServicesSet>\n                <ThirdPartyMobileNumber/>\n                <expectedPickupUnitId/>\n                <expectedPickupUnitName/>\n                <expectedPickupUnitURL/>\n            </Package>\n        </PackageSet>\n        <IsPickupNoticeAvailable>true</IsPickupNoticeAvailable>\n        <NumberOfConsignmentItems>1</NumberOfConsignmentItems>\n    </Consignment>\n</ConsignmentSet>"},"bad_request_xml":{"description":"Example of Bad Request Response","value":"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<ConsignmentSet xmlns=\"http://www.bring.no/sporing/2.0\">\n    <ApiVersion>2</ApiVersion>\n    <Consignment xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"TraceStatusType\">\n        <Code>400</Code>\n        <Error>Invalid query</Error>\n    </Consignment>\n</ConsignmentSet>"},"delivered_json":{"value":{"apiVersion":"2","consignmentSet":[{"consignmentId":"SHIPMENTNUMBER","previousConsignmentId":"","packageSet":[{"statusDescription":"","descriptions":[],"packageNumber":"TESTPACKAGEDELIVERED","previousPackageNumber":"","productName":"HOME DELIVERY","productCode":"1736","productLink":"http://www.bring.no/english/shortcuts/1736","brand":"POSTEN","lengthInCm":41,"widthInCm":38,"heightInCm":29,"volumeInDm3":45.2,"weightInKgs":16.5,"eventSet":[{"recipientSignature":{"name":"HOME OWNER","linkToImage":"api/parcel-hub/signature?consignmentItemNumber=TESTPACKAGEDELIVERED&imageName=imageName"},"unitId":"971190","unitType":"BRING","postalCode":"","city":"","countryCode":"","country":"","displayTime":"","consignmentEvent":false,"insignificant":false},{"recipientSignature":{"name":""},"unitId":"971190","unitType":"BRING","postalCode":"0001","city":"OSLO","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false},{"recipientSignature":{"name":""},"unitId":"032850","unitType":"BRING","postalCode":"0024","city":"OSLO","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false}],"additionalServiceSet":[{"id":"1091","description":"eAdvising","amount":"","currencyCode":"","longDescription":"Delivery advising will be sent via sms +4700000000 and/or e-mail"}],"isLoggedInSenderOrReceiver":false}],"senderReference":"","senderCustomerNumber":"","senderCustomerMasterNumber":"","senderCustomerType":"","recipientCustomerNumber":"","recipientCustomerMasterNumber":"","recipientCustomerType":"","isLoggedInSenderOrReceiver":false,"totalWeightInKgs":16.5,"totalVolumeInDm3":45.2,"isPickupNoticeAvailable":false}]}},"loaded_for_delivery_json":{"value":{"apiVersion":"2","consignmentSet":[{"consignmentId":"SHIPMENTNUMBER","previousConsignmentId":"","packageSet":[{"statusDescription":"Package will be delivered to recipient this evening between 1700 and 2100. The driver will call 30 - 60 minutes before delivery","descriptions":[],"packageNumber":"TESTPACKAGELOADEDFORDELIVERY","previousPackageNumber":"","productName":"HOME DELIVERY","productCode":"1736","productLink":"http://www.bring.no/english/shortcuts/1736","brand":"POSTEN","lengthInCm":41,"widthInCm":38,"heightInCm":29,"volumeInDm3":45.2,"weightInKgs":16.5,"eventSet":[{"recipientSignature":{"name":""},"unitId":"971190","unitType":"BRING","postalCode":"0001","city":"OSLO","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false},{"recipientSignature":{"name":""},"unitId":"032850","unitType":"BRING","postalCode":"0024","city":"OSLO","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false}],"additionalServiceSet":[],"isLoggedInSenderOrReceiver":false}],"senderReference":"","senderCustomerNumber":"","senderCustomerMasterNumber":"","senderCustomerType":"","recipientCustomerNumber":"","recipientCustomerMasterNumber":"","recipientCustomerType":"","isLoggedInSenderOrReceiver":false,"totalWeightInKgs":16.5,"totalVolumeInDm3":45.2,"isPickupNoticeAvailable":false}]}},"waiting_at_pup_json":{"value":{"apiVersion":"2","consignmentSet":[{"consignmentId":"SHIPMENTNUMBER","previousConsignmentId":"","packageSet":[{"statusDescription":"Package can be collected at pickup point.","descriptions":[],"packageNumber":"TESTPACKAGEATPICKUPPOINT","previousPackageNumber":"","productName":"CARBON-NEUTRAL SERVICE PARCEL","productCode":"1202","productLink":"http://www.bring.no/english/shortcuts/1202","brand":"POSTEN","lengthInCm":41,"widthInCm":38,"heightInCm":29,"volumeInDm3":45.2,"weightInKgs":16.5,"pickupCode":"AA11","dateOfReturn":"01.12.2011","senderName":"POSTEN NORGE AS","senderAddress":{"addressLine1":"","addressLine2":"","postalCode":"","city":"","countryCode":"","country":"","recipientId":""},"recipientHandlingAddress":{"addressLine1":"","addressLine2":"","postalCode":"1407","city":"VINTERBRO","countryCode":"","country":"","recipientId":""},"eventSet":[{"recipientSignature":{"name":"","linkToImage":""},"unitId":"122608","unitInformationUrl":"https://api.bring.com/pickuppoint/api/pickuppoint/NO/id/122608.xml","unitType":"BRING","postalCode":"2341","city":"LØTEN","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false},{"recipientSignature":{"name":""},"unitId":"032850","unitType":"BRING","postalCode":"0024","city":"OSLO","countryCode":"NO","country":"Norway","displayTime":"","consignmentEvent":false,"insignificant":false}],"additionalServiceSet":[],"isLoggedInSenderOrReceiver":false}],"recipientHandlingAddress":{"addressLine1":"","addressLine2":"","postalCode":"1407","city":"VINTERBRO","countryCode":"","country":"","recipientId":""},"senderReference":"","senderCustomerNumber":"","senderCustomerMasterNumber":"","senderName":"POSTEN NORGE AS","senderAddress":{"addressLine1":"","addressLine2":"","postalCode":"","city":"","countryCode":"","country":"","recipientId":""},"senderCustomerType":"","recipientCustomerNumber":"","recipientCustomerMasterNumber":"","recipientCustomerType":"","isLoggedInSenderOrReceiver":false,"totalWeightInKgs":16.5,"totalVolumeInDm3":45.2,"isPickupNoticeAvailable":false}]}},"loaded_for_delivery_xml":{"value":"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<ConsignmentSet xmlns=\"http://www.bring.no/sporing/2.0\">\n  <ApiVersion>2</ApiVersion>\n  <Consignment xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"packageCargoConsignmentType\" consignmentId=\"SHIPMENTNUMBER\" previousConsignmentId=\"\">\n    <TotalWeight unitCode=\"kg\">16.5</TotalWeight>\n    <TotalVolume unitCode=\"dm3\">45.2</TotalVolume>\n    <SenderReference/>\n    <SenderCustomerNumber/>\n    <SenderCustomerMasterNumber/>\n    <SenderCustomerType/>\n    <RecipientCustomerNumber/>\n    <RecipientCustomerMasterNumber/>\n    <RecipientCustomerType/>\n    <PackageSet>\n      <Package packageId=\"TESTPACKAGELOADEDFORDELIVERY\" previousPackageId=\"\">\n        <StatusDescription>Package will be delivered to recipient this evening between 1700 and 2100. The driver will call 30 - 60 minutes before delivery</StatusDescription>\n        <Descriptions/>\n        <ProductName>HOME DELIVERY</ProductName>\n        <ProductCode>1736</ProductCode>\n        <ProductLink>http://www.bring.no/english/shortcuts/1736</ProductLink>\n        <Brand>POSTEN</Brand>\n        <Weight unitCode=\"kg\">16.5</Weight>\n        <Length unitCode=\"cm\">41</Length>\n        <Width unitCode=\"cm\">38</Width>\n        <Height unitCode=\"cm\">29</Height>\n        <Volume unitCode=\"dm3\">45.2</Volume>\n        <EventSet>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>The shipment has been loaded for delivery.</Description>\n            <Status>TRANSPORT_TO_RECIPIENT</Status>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>971190</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode>0001</PostalCode>\n            <City>OSLO</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <OccuredAtIsoDateTime>2010-09-30T16:48:57.000+02:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>30.09.2010</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>16.48</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n          </Event>\n          <Event xsi:type=\"packageCargoEventType\">\n            <Description>The shipment has been handed in at terminal and forwarded.</Description>\n            <Status>IN_TRANSIT</Status>\n            <RecipientSignature>\n              <Name/>\n            </RecipientSignature>\n            <UnitId>032850</UnitId>\n            <UnitType>BRING</UnitType>\n            <PostalCode>0024</PostalCode>\n            <City>OSLO</City>\n            <CountryCode>NO</CountryCode>\n            <Country>Norway</Country>\n            <OccuredAtIsoDateTime>2010-09-30T08:27:08.000+02:00</OccuredAtIsoDateTime>\n            <OccuredAtDisplayDate>30.09.2010</OccuredAtDisplayDate>\n            <OccuredAtDisplayTime>08.27</OccuredAtDisplayTime>\n            <ConsignmentEvent>false</ConsignmentEvent>\n            <Insignificant>false</Insignificant>\n          </Event>\n        </EventSet>\n        <AdditionalServicesSet/>\n      </Package>\n    </PackageSet>\n    <IsPickupNoticeAvailable>false</IsPickupNoticeAvailable>\n  </Consignment>\n</ConsignmentSet>\n"}},"securitySchemes":{"mybringSessionCookie":{"type":"apiKey","description":"Mybring session cookie","name":"mybring_session","in":"cookie"}}}}